Package org.jboss.logmanager.filters

## Class RegexFilter

- java.lang.Object
- - org.jboss.logmanager.filters.RegexFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class RegexFilter
    extends java.lang.Object
    implements java.util.logging.Filter

A regular-expression-based filter. Used to exclude log records which match or don't match the expression. The regular expression is checked against the raw (unformatted) message.

### Constructor Summary

Constructors
`RegexFilter​(java.lang.String patternString)` Create a new instance.
`RegexFilter​(java.util.regex.Pattern pattern)` Create a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Determine if this log record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexFilter

    public RegexFilter​(java.util.regex.Pattern pattern)

Create a new instance.

Parameters:
  `pattern` - the pattern to match

#### RegexFilter

    public RegexFilter​(java.lang.String patternString)

Create a new instance.

Parameters:
  `patternString` - the pattern string to match

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Determine if this log record is loggable.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the log record is loggable